summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2009-10-08 10:50:35 +0000
committerUlrich Müller <ulm@gentoo.org>2009-10-08 10:50:35 +0000
commitd6cfd67ebce60500bec234d5c2632ba7108396be (patch)
tree9463dce4f3eaf643e81622421a0bf77d1917b85d /eclass/elisp.eclass
parentVersion bump, adds stability & build fixes compared to the earlier beta. (diff)
downloadgentoo-2-d6cfd67ebce60500bec234d5c2632ba7108396be.tar.gz
gentoo-2-d6cfd67ebce60500bec234d5c2632ba7108396be.tar.bz2
gentoo-2-d6cfd67ebce60500bec234d5c2632ba7108396be.zip
Sync from Emacs overlay (revision 1453).
elisp.eclass: Generate Info files from Texinfo sources listed in ELISP_TEXINFO. elisp-common.eclass: Mark site-gentoo.el as buffer-read-only, in order to prevent unintentional edits. Add null strings to inhibit local variables detection in the eclass file itself.
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass24
1 files changed, 18 insertions, 6 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index e98d699321b1..f53f0fb33b62 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.42 2009/08/25 12:53:55 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.43 2009/10/08 10:50:35 ulm Exp $
#
# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
# Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
@@ -33,11 +33,6 @@
# variable before inheriting elisp.eclass. Set it to the major version
# your package uses and the dependency will be adjusted.
-# @ECLASS-VARIABLE: DOCS
-# @DESCRIPTION:
-# DOCS="blah.txt ChangeLog" is automatically used to install the given
-# files by dodoc in src_install().
-
# @ECLASS-VARIABLE: ELISP_PATCHES
# @DESCRIPTION:
# Any patches to apply after unpacking the sources. Patches are searched
@@ -50,6 +45,16 @@
# reserved for internal use. "50${PN}-gentoo.el" is a reasonable choice
# in most cases.
+# @ECLASS-VARIABLE: ELISP_TEXINFO
+# @DESCRIPTION:
+# Space separated list of Texinfo sources. Respective GNU Info files
+# will be generated in src_compile() and installed in src_install().
+
+# @ECLASS-VARIABLE: DOCS
+# @DESCRIPTION:
+# DOCS="blah.txt ChangeLog" is automatically used to install the given
+# files by dodoc in src_install().
+
inherit elisp-common eutils
case "${EAPI:-0}" in
@@ -105,6 +110,9 @@ elisp_src_configure() { :; }
elisp_src_compile() {
elisp-compile *.el || die
+ if [ -n "${ELISP_TEXINFO}" ]; then
+ makeinfo ${ELISP_TEXINFO} || die
+ fi
}
elisp_src_install() {
@@ -112,6 +120,10 @@ elisp_src_install() {
if [ -n "${SITEFILE}" ]; then
elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
fi
+ if [ -n "${ELISP_TEXINFO}" ]; then
+ set -- ${ELISP_TEXINFO}
+ doinfo ${@/%.*/.info*} || die
+ fi
if [ -n "${DOCS}" ]; then
dodoc ${DOCS} || die
fi